#
# perl modules provided by this package are part of perl-modules
# DO NOT send this package to Th builders if version is <= provided by perl-modules
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Scalar
%define		pnam	List-Utils
Summary:	List::Util and Scalar::Util - selection of general-utility scalar subroutines
Summary(pl.UTF-8):	List::Util i Scalar::Util - wybór procedur skalarnych ogólnego zastosowania
Name:		perl-Scalar-List-Utils
Version:	1.47
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Scalar/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	caf338334a64cd23ade695ba1561252c
URL:		http://search.cpan.org/dist/Scalar-List-Utils/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
#BuildRequires:	th-blocker, not for ftp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a selection of subroutines that people have
expressed would be nice to have in the perl core, but the usage would
not really be high enough to warrant the use of a keyword, and the
size so small such that being individual extensions would be wasteful.

%description -l pl.UTF-8
Ten pakiet zawiera wybrane procedury, które według niektórych ludzi
powinny znaleźć się w głównym pakiecie Perla, ale użyteczność nie jest
zbyt duża, a rozmiar za mały na tworzenie oddzielnych rozszerzeń.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL -xs \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/List
%{perl_vendorarch}/List/Util.pm
%dir %{perl_vendorarch}/List/Util
%{perl_vendorarch}/List/Util/*.pm
%dir %{perl_vendorarch}/Scalar
%{perl_vendorarch}/Scalar/Util.pm
%dir %{perl_vendorarch}/Sub
%{perl_vendorarch}/Sub/Util.pm
%dir %{perl_vendorarch}/auto/List
%dir %{perl_vendorarch}/auto/List/Util
%attr(755,root,root) %{perl_vendorarch}/auto/List/Util/Util.so
%{_mandir}/man3/List::Util*.3pm*
%{_mandir}/man3/Scalar::Util.3pm*
%{_mandir}/man3/Sub::Util.3pm*
%changelog
* Fri Dec 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Scalar-List-Utils.git;a=log;h=master

* Fri Dec 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ea41aa6
- up to 1.47

* Sat Nov 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 5b95069
- package Sub::Util, release 2

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8491916
- up to 1.46; perl-Moose needs version newer than perl 5.24.0 provides

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 078f142
- removed zero-sized .bs file

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 848a563
- blocker

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> e6c3400
- updated to 1.25

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 5bc378b
- rel 3

* Sun Jun 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0271d52
- release 2

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> cf659cc
- updated to 1.23_03

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 2eff019
- release 3

* Sun Jun 06 2010 radek <radek@pld-linux.org> d24228b
- switch Source0 to by-authors index

* Sat Jun 05 2010 radek <radek@pld-linux.org> 6563185
- version 1.23

* Fri Sep 11 2009 amateja <amateja@pld-linux.org> 42b7c96
- updated to 1.21

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 55f32ba
- release 2

* Sun Mar 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 08bdf07
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 6d56e7c
- version 1.19

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 27ab5c4
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 2bbe4ba
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2ec1cf5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 22be14c
- converted to UTF-8

